Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1UserColumnOrdering

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1UserColumnOrdering

Record Components:
  `fieldColumn` - The user column.
  `fieldAscending` - True if the results should be ascending.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record IdA1UserColumnOrdering(IdA1UserColumn fieldColumn, com.io7m.cedarbridge.runtime.api.CBBooleanType fieldAscending) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
A column ordering spec.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1UserColumnOrdering(IdA1UserColumn fieldColumn, com.io7m.cedarbridge.runtime.api.CBBooleanType fieldAscending)`
  Creates an instance of a `IdA1UserColumnOrdering` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1UserColumnOrdering`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1UserColumnOrdering.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBBooleanType`
  `fieldAscending()`
  Returns the value of the `fieldAscending` record component.
  `IdA1UserColumn`
  `fieldColumn()`
  Returns the value of the `fieldColumn` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1UserColumnOrdering $x)`
  Serialize a value of type IdA1UserColumnOrdering.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1UserColumnOrdering

    public IdA1UserColumnOrdering(IdA1UserColumn fieldColumn, com.io7m.cedarbridge.runtime.api.CBBooleanType fieldAscending)
    Creates an instance of a `IdA1UserColumnOrdering` record class.
    Parameters:
      `fieldColumn` - the value for the `fieldColumn` record component
      `fieldAscending` - the value for the `fieldAscending` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1UserColumnOrdering $x) throws IOException
    Serialize a value of type IdA1UserColumnOrdering.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1UserColumnOrdering deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1UserColumnOrdering.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1UserColumnOrdering.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldColumn

    public IdA1UserColumn fieldColumn()
    Returns the value of the `fieldColumn` record component.
    Returns:
      the value of the `fieldColumn` record component

  - ### fieldAscending

    public com.io7m.cedarbridge.runtime.api.CBBooleanType fieldAscending()
    Returns the value of the `fieldAscending` record component.
    Returns:
      the value of the `fieldAscending` record component